As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 775272 - Clicking on the page to the left of the options overflow menu does not close menu
: Clicking on the page to the left of the options overflow menu does not close ...
Status: VERIFIED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: Trunk
: ARM Android
: -- normal (vote)
: Firefox 18
Assigned To: Sriram Ramasubramanian [:sriram]
:
: Sebastian Kaspari (:sebastian)
Mentors:
: 779825 785286 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 13:42 PDT by Michael Comella (:mcomella) [not active on fennec/Bugzilla: contact me via IRC]
Modified: 2012-10-17 06:41 PDT (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
affected
affected
fixed
+


Attachments
Patch (3.70 KB, patch)
2012-10-05 14:46 PDT, Sriram Ramasubramanian [:sriram]
mark.finkle: review+
Details | Diff | Splinter Review

Description User image Michael Comella (:mcomella) [not active on fennec/Bugzilla: contact me via IRC] 2012-07-18 13:42:49 PDT
Note: Tested only on phone device.

1) Open Firefox (16 or 17).
2) Click the button to open the options overflow menu (triple vertical dots).
3) Click on the page, directly left of the options overflow menu that opened.

Expected: The menu closes.
Actual: Nothing happens.

This happens in both landscape and portrait modes. It is a small dead zone – clicking farther to the left of the menu will correctly close it.

Possible regression from bug 769237.

Tested on Galaxy Nexus, Android 4.0.4.
Comment 1 User image Kevin Brosnan [:kbrosnan] 2012-08-02 11:18:46 PDT
*** Bug 779825 has been marked as a duplicate of this bug. ***
Comment 2 User image Aaron Train [:aaronmt] 2012-08-23 19:43:29 PDT
*** Bug 785286 has been marked as a duplicate of this bug. ***
Comment 3 User image Cristian Nicolae (:xti) 2012-09-26 02:44:55 PDT
I cannot reproduce this issue on phones, but still occurs on tablets.
Comment 4 User image Michael Comella (:mcomella) [not active on fennec/Bugzilla: contact me via IRC] 2012-09-26 21:26:35 PDT
I can still reproduce this on my Galaxy Nexus, although the issue is MUCH more pronounced on tablets.
Comment 5 User image Sriram Ramasubramanian [:sriram] 2012-09-26 21:43:04 PDT
Mike! You still raise/comment on these bugs that I run away from?? :(
Comment 6 User image Sriram Ramasubramanian [:sriram] 2012-10-05 14:46:47 PDT
Created attachment 668632 [details] [diff] [review]
Patch

Basically WRAP_CONTENT on width is not shrinking it. We have to give a MeasureSpec generated over an absolute width. :(
Comment 7 User image Mark Finkle (:mfinkle) (use needinfo?) 2012-10-05 15:08:11 PDT
Does this have any negative affects on phones vs tablets
Comment 8 User image Sriram Ramasubramanian [:sriram] 2012-10-05 15:09:49 PDT
The size of the popup is the same on phones and tablets. Hence this would fix both.
Comment 9 User image Sriram Ramasubramanian [:sriram] 2012-10-05 15:15:53 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/e0782e7cb92a
Comment 10 User image Ed Morley [:emorley] 2012-10-06 12:43:51 PDT
https://hg.mozilla.org/mozilla-central/rev/e0782e7cb92a
Comment 11 User image Ioana Chiorean 2012-10-17 06:41:08 PDT
This is not reproducible on Firefox 19 (Nightly) - New Menu, 18 (Aurora ) - New Menu and in landscape 17 (Beta )- Old Menu . 
Steps done:  
1) Click the button to open the options overflow menu (triple vertical dots).
2) Click on the page, directly left of the options overflow menu that opened.

Reproducible on 17 portrait only. As target Milestone is 18 I will set this to verified fixed. Change the status if you decide is gonna be pushed for 17 portrait too.

Note You need to log in before you can comment on or make changes to this bug.